import { Collapsible } from './modules/collapsible.js';

const overviewSelectors = {
  collapsibleWrapper: '.collapsible-wrapper',
  clickableSelector: '.toggle-help-section__cta',
  contentSelector: '.help-section',
  textSelector: '.toggle-help-section__cta'
}

/* Landing page "/" */
Collapsible(overviewSelectors)

/* DCR Configs -> Templates */
const dcrSelectors = {
  collapsibleWrapper: '.collapsible-wrapper',
  clickableSelector: '.collapse-cta',
  contentSelector: '.collapse-content',
  textSelector: '.collapse-cta'
}

Collapsible(dcrSelectors);

/* In case the fields are within the slideout, we need this workaround in order for the DOM to populate the fields first */
document.querySelector('.tyk-table')?.addEventListener('click', () => {
  setTimeout(() => {
    Collapsible(dcrSelectors);
    /* And similarly within the slideout */
    document.querySelector('.qor-fieldset__add')?.addEventListener('click', () => {
      setTimeout(() => {
        Collapsible({
          clickableSelector: '.collapse-cta',
          contentSelector: '.qor-fieldset .qor-form-section'
        });
      } , 1000);
    });
  } , 1000);
});



